/* Sticky footer styles
-------------------------------------------------- */

html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}


/* Optional: Makes the sample page fill the window. */

html,
body {
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

.container {
    width: auto;
    padding: 0 15px;
    font-size: 0.8em;
}

@keyframes eventBtn {
    0% {
        transform: rotateX(90deg);
    }
    100% {
        transform: rotateX(0deg);
    }
}

.eventBtn,
.downloadBtn {
    background-color: #3d3d3d;
    color: white;
    display: grid;
    grid-template-columns: 25px auto 25px;
    align-items: center;
    justify-items: center;
    text-align: center;
    margin: 10px 0;
    cursor: pointer;
    animation: eventBtn 1s;
}

.eventBtn div,
.downloadBtn div {
    height: 50px;
    overflow: hidden;
}

.eventBtn h3,
.eventBtn h2,
.downloadBtn h3,
.downloadBtn h2 {
    margin: 0;
    line-height: 50px;
}


/* Always set the map height explicitly to define the size of the div
        * element that contains the map. */

#map {
    /*height: calc(100% - 60px);*/
    height: 100%;
    width: calc(100% - 300px);
    left: 300px;
    top: 0px;
    position: absolute;
}

#header {
    font-family: Arial, sans-serif;
    color: #000;
    margin: 0px;
    padding-right: 60px;
    width: 100%;
    height: 60px;
    overflow: hidden;
    display: grid;
    grid-template-columns: 60px auto 60px 60px;
    justify-items: center;
    align-items: center;
}

.headerWithImport {
    grid-template-columns: 60px auto 60px 60px 60px !important;
}

#searchBar {
    padding: 0;
    margin: 0;
    justify-self: left;
    width: 100%;
}

#search {
    border: 1px solid grey;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    padding-left: 5px;
    width: 400px;
}

#results {
    height: calc(100% - 60px);
}

#scrollContainer {
    overflow-y: auto;
    width: 100%;
    margin: 0;
    padding: 0 180px;
    height: 100%;
}

.legend-button {
    border: 1px solid #1d1d1d;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-box-shadow: 1px 1px 2px 0px rgba(0, 0, 0, 0.6);
    -moz-box-shadow: 1px 1px 2px 0px rgba(0, 0, 0, 0.6);
    box-shadow: 1px 1px 2px 0px rgba(0, 0, 0, 0.6);
    margin: 5px;
    width: 40px;
    height: 40px;
    display: block;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
    background-color: #fff;
}

.disabledBtn {
    opacity: 0.5 !important;
    cursor: no-drop !important;
}

.legendItem {
    margin: 10px 0;
    height: 42px;
    font-size: 12px;
    border: 1px solid grey;
    background-color: #f5f5f5;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-box-shadow: 1px 1px 2px 0px rgba(0, 0, 0, 0.6);
    -moz-box-shadow: 1px 1px 2px 0px rgba(0, 0, 0, 0.6);
    box-shadow: 1px 1px 2px 0px rgba(0, 0, 0, 0.6);
    overflow: hidden;
}

.legendItemOpen {
    height: 40px;
    width: 40px;
    float: right;
}

.legendItemHeader {
    height: 42px;
    width: 100%;
    font-size: 12px;
    overflow: hidden;
}

.legendItemInfo {
    width: calc(100% - 90px);
    height: 40px;
    padding: 0 10px;
    display: inline-block;
    line-height: 40px;
    cursor: pointer;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.legendItemDetails {
    border-top: 1px solid grey;
    color: #000;
    padding: 10px;
    overflow: auto;
}

.legendItemDetails input,
.legendItemDetails select {
    width: 100%;
    height: 30px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
    margin-bottom: 5px;
    padding-left: 5px;
}

.legendItemDetails label {
    width: 100%;
}

.legendItemDetails button {
    width: 45%;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
    background-color: white;
    border: 1px solid black;
    margin-bottom: 5px;
}

.legendItemRemoveBtn {
    height: 40px;
    width: 40px;
    display: inline-block;
    background-image: url('../images/btn_remove.png');
    background-repeat: no-repeat;
    background-position: center;
    text-align: center;
    line-height: 53px;
    color: #000;
    float: right;
    font-weight: bold;
    cursor: pointer;
}

.group_1 {
    background-color: #1c9d4d;
    color: #fff;
}

.group_2 {
    background-color: #65d312;
    color: #fff;
}

.group_3 {
    background-color: #027f78;
    color: #fff;
}

.group_4 {
    background-color: #37c0b8;
    color: #fff;
}

.group_5 {
    background-color: #21409a;
    color: #fff;
}

.group_6 {
    background-color: #04adee;
    color: #fff;
}

.group_7 {
    background-color: #ba00dc;
    color: #fff;
}

.group_8 {
    background-color: #e663ff;
    color: #fff;
}

.group_9 {
    background-color: #ff9191;
    color: #fff;
}

.group_10 {
    background-color: #ff0a81;
    color: #fff;
}

.Group1 {
    background: linear-gradient(#047839, #1c9d4d, #1c9d4d);
    color: #fff;
}

.Group2 {
    background: linear-gradient(#4b9e0e, #65d312, #65d312);
    color: #fff;
}

.Group3 {
    background: linear-gradient(#006158, #027f78, #027f78);
    color: #fff;
}

.Group4 {
    background: linear-gradient(#399f9a, #37c0b8, #37c0b8);
    color: #fff;
}

.Group5 {
    background: linear-gradient(#193076, #21409a, #21409a);
    color: #fff;
}

.Group6 {
    background: linear-gradient(#0482b4, #04adee, #04adee);
    color: #fff;
}

.Group7 {
    background: linear-gradient(#8900a4, #ba00dc, #ba00dc);
    color: #fff;
}

.Group8 {
    background: linear-gradient(#d651f2, #e663ff, #e663ff);
    color: #fff;
}

.Group9 {
    background: linear-gradient(#d35c63, #ff9191, #ff9191);
    color: #fff;
}

.Group10 {
    background: linear-gradient(#c30861, #ff0a81, #ff0a81);
    color: #fff;
}

#btnAdd {
    background-image: url('../images/btn_add.png');
}

#btnHome {
    background-image: url('../images/btn_home.png');
}

#btnLogout {
    background-image: url('../images/btn_logout.png');
}

#btnSave,
.btnSave {
    background-image: url('../images/btn_save.png');
}

#btnUsers {
    background-image: url('../images/btn_users.png');
}

.arrow {
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 17.3px 10px 0 10px;
    border-color: #ffffff transparent transparent transparent;
    position: relative;
    top: 12px;
    left: 10px;
    transition: .5s ease;
}

.darkArrow {
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 17.3px 10px 0 10px;
    border-color: grey transparent transparent transparent;
    position: relative;
    top: 12px;
    left: 10px;
    transition: .5s ease;
}

.closeArrow {
    transform: rotate(180deg);
    transition: .5s ease;
}

.hidden {
    display: none !important;
}

.removedItem {
    display: none;
}

#loadScreen {
    width: 100%;
    height: 100%;
    background: white url("../images/loadscreen.jpg") no-repeat;
    background-size: 100% 100%;
    z-index: 99999;
    position: absolute;
    top: 0;
    left: 0;
}

#loadScreen div {
    font-family: Arial, sans-serif;
    font-size: 30px;
    text-align: center;
    position: absolute;
    width: 300px;
    height: 200px;
    z-index: 15;
    top: 50%;
    left: 50%;
    margin: -100px 0 0 -150px;
    padding: 0 20px;
    background-color: white;
    color: grey;
    -webkit-box-shadow: 3px 3px 5px 0px rgba(0, 0, 0, 0.6);
    -moz-box-shadow: 3px 3px 5px 0px rgba(0, 0, 0, 0.6);
    box-shadow: 3px 3px 5px 0px rgba(0, 0, 0, 0.6);
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    border-radius: 15px;
    border: 1px solid grey;
    line-height: 50px;
}

#loadScreen div p {
    position: relative;
    margin: 35px 0;
}

#loadProgress {
    height: 20px;
    width: 0%;
    background-color: #a3cbfe;
    display: block;
}

#legendButton {
    display: none;
}

.qrBox {
    text-align: center;
    margin-bottom: 50px;
}

.eventQR {
    width: 200px;
    height: 200px;
    margin: 50px auto 0 auto;
    display: block;
}

@media screen and (max-width: 768px) {
    #map {
        height: calc(100% - 60px);
        width: 100%;
        left: 0px;
        top: 0px;
        position: absolute;
    }
    #loadScreen {
        background-image: url("../images/loadscreen-mobile.jpg");
    }
    #header {
        padding: 0;
    }
    #search {
        width: 100%;
    }
    #scrollContainer {
        padding: 0 40px;
    }
    .legendItem select,
    input {
        width: calc(100% - 10px);
    }
    .mobile-hide {
        display: none;
    }
}